<!-- {% extends "bootstrap/base.html" %} -->

{% block title %}
神剑教学管理系统{% if title %} - {{ title }}{% endif %}
{% endblock %}

{%- block styles %}
<!-- PLUGINS CSS STYLE -->
<!-- <link href="plugins/jquery-ui/jquery-ui.min.css" rel="stylesheet"> -->
<!-- Bootstrap -->
<link href="{{url_for('static', filename='plugins/bootstrap/css/bootstrap.min.css')}}" rel="stylesheet">
<link href="{{url_for('static', filename='plugins/bootstrap/css/bootstrap-slider.css')}}" rel="stylesheet">
<!-- Font Awesome -->
<link href="{{url_for('static', filename='plugins/font-awesome/css/font-awesome.min.css')}}" rel="stylesheet">
<!-- Owl Carousel -->
<link href="{{url_for('static', filename='plugins/slick-carousel/slick/slick.css')}}" rel="stylesheet">
<link href="{{url_for('static', filename='plugins/slick-carousel/slick/slick-theme.css')}}" rel="stylesheet">
<!-- Fancy Box -->
<link href="{{url_for('static', filename='plugins/fancybox/jquery.fancybox.pack.css')}}" rel="stylesheet">
<link href="{{url_for('static', filename='plugins/jquery-nice-select/css/nice-select.css')}}" rel="stylesheet">
<!-- CUSTOM CSS -->
<link href="{{url_for('static', filename='css/style.css')}}" rel="stylesheet">

<!-- CSS by wgd -->
<style>
	.center {
		margin-right: auto;
		margin-left: auto;
	}
</style>
<style>
	.error {
		color: firebrick;
	}
</style>
<style>
	.tip {
		color: orangered
	}
</style>
{%- endblock styles %}

{% block body_attribs %}
class="body-wrapper"
{% endblock body_attribs %}
{% block body -%}
{% block navbar %}
<section>
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<nav class="navbar navbar-expand-lg navbar-light navigation">
					<a class="navbar-brand" href="{{url_for('index')}}">
						神剑教学管理系统
					</a>
					<button class="navbar-toggler" type="button" data-toggle="collapse"
						data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
						aria-expanded="false" aria-label="Toggle navigation">
						<span class="navbar-toggler-icon"></span>
					</button>
					<div class="collapse navbar-collapse" id="navbarSupportedContent">
						<ul class="navbar-nav main-nav ">
							<li	class="nav-item {% if request.path == '/' or request.path == '/index' %} active {% endif %}">
								<a class="nav-link" href="{{url_for('index')}}">主页</a>
							</li>
							<li
								class="nav-item dropdown dropdown-slide {% if request.path.find('/oj') != -1 %} active {% endif %}">
								<a class="nav-link dropdown-toggle" data-toggle="dropdown">Open Judege<span><i
											class="fa fa-angle-down"></i></span>
								</a>
								<!-- Dropdown list -->
								<div class="dropdown-menu">
									<a class="dropdown-item" href="{{url_for('oj_problems')}}">题目列表</a>
									{% if current_user.Identification == 'Student'  %}
									<a class="dropdown-item" href="{{url_for('oj_mysubmit')}}">我的提交</a>
									{% elif current_user.Identification == 'Teacher'  %}
									<a class="dropdown-item" href="{{url_for('addOJProblem')}}">添加题目</a>
									{% endif %}
								</div>
							</li>
							<li
								class="nav-item dropdown dropdown-slide {% if request.path.find('/bbs') != -1 %} active {% endif %}">
								<a class="nav-link dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
									aria-expanded="false">
									论坛 <span><i class="fa fa-angle-down"></i></span>
								</a>
								<!-- Dropdown list -->
								<div class="dropdown-menu">
									<a class="dropdown-item" href="{{url_for('bbs_mypost')}}">我的讨论</a>
									<a class="dropdown-item" href="{{url_for('bbs_posts')}}">全部讨论</a>
									<a class="dropdown-item" href="{{url_for('bbs_addpost')}}">发起讨论</a>
								</div>
							</li>
							<li
								class="nav-item dropdown dropdown-slide {% if request.path.find('/notice') != -1 %} active {% endif %}">
								<a class="nav-link dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
									aria-expanded="false">
									通知 <span><i class="fa fa-angle-down"></i></span>
								</a>
								<!-- Dropdown list -->
								<div class="dropdown-menu">
									<a class="dropdown-item" href="{{ url_for('notice_allnotices') }}">查看通知</a>
									{% if current_user.Identification == 'Teacher' or  current_user.Identification == 'Admin' %}
									<a class="dropdown-item" href="{{ url_for('notice_addnotice') }}">发起通知</a>
									{% endif %}
								</div>
							</li>
						</ul>

						<ul class="navbar-nav ml-auto mt-10">
							{% if current_user.is_anonymous %}
							<li class="nav-item">
								<a class="nav-link login-button" href="{{url_for('login')}}">登录</a>
							</li>
							<li class="nav-item">
								<a class="nav-link text-white add-button" href="{{url_for('register')}}">注册</a>
							</li>
							{% else %}
							<li class="nav-item {% if request.path.find('/myinfo') != -1 %} active {% endif %}">
								<a class="nav-link login-button"
									href="{{url_for('myinfo', info_action='checkdetail')}}">我的信息</a>
							</li>
							<li class="nav-item">
								<a class="nav-link text-white add-button" href="{{url_for('logout')}}">注销</a>
								{% endif %}
						</ul>
					</div>
				</nav>
			</div>
		</div>
	</div>
</section>
{%- endblock navbar %}

{% block content %}
<section>
	<div class="container">
		{% with messages = get_flashed_messages() %}
		{% if messages %}
		{% for message in messages %}
		<div class="alert alert-info alert-dismissable" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;
			</button>
			{{ message }}
		</div>
		{% endfor %}
		{% endif %}
		{% endwith %}
		{# application content needs to be provided in the app_content block #}
	</div>
</section>
{% block app_content %}{% endblock %}
{% endblock content %}

{% block scripts %}
{{ super() }}
<!-- JAVASCRIPTS -->
<script src="{{url_for('static', filename='plugins/jQuery/jquery.min.js')}}"></script>
<script src="{{url_for('static', filename='plugins/bootstrap/js/popper.min.js')}}"></script>
<script src="{{url_for('static', filename='plugins/bootstrap/js/bootstrap.min.js')}}"></script>
<script src="{{url_for('static', filename='plugins/bootstrap/js/bootstrap-slider.js')}}"></script>
<!-- tether js -->
<script src="{{url_for('static', filename='plugins/tether/js/tether.min.js')}}"></script>
<script src="{{url_for('static', filename='plugins/raty/jquery.raty-fa.js')}}"></script>
<script src="{{url_for('static', filename='plugins/slick-carousel/slick/slick.min.js')}}"></script>
<script src="{{url_for('static', filename='plugins/jquery-nice-select/js/jquery.nice-select.min.js')}}"></script>
<script src="{{url_for('static', filename='plugins/fancybox/jquery.fancybox.pack.js')}}"></script>
<script src="{{url_for('static', filename='plugins/smoothscroll/SmoothScroll.min.js')}}"></script>
<!-- google map -->
<!-- <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCcABaamniA6OL5YvYSpB3pFMNrXwXnLwU&libraries=places"></script> -->
<script src="{{url_for('static', filename='plugins/google-map/gmap.js')}}"></script>
<script src="{{url_for('static', filename='js/script.js')}}"></script>
{%- endblock scripts %}

{%- endblock body %}